* 1district_into_nuts.do
* allocate district into NUTS
* Ana Rute Cardoso & Louis-Philippe Morin
* Jul 2023
******************************************
clear all
capture program drop _all
version 16
capture log close
log using ..\replic_logs\1district_into_nuts.log, replace nomsg

import excel using ..\replic_data\pt_nuts_distrito_municipio_population.xlsx, sheet(to_stata) firstrow case(preserve) clear 
qui do codedistrict
replace munic_txt=strtrim(munic_txt)

bys nuts3ipums: egen pop_nuts3ipums = total(pop)
bys district: egen pop_district = total(pop_municip)
gen shmunicip_dist = pop_municip/pop_district

bys district nuts3ipums: egen alloc_dist_nuts = total(shmunicip_dist)
bys district nuts3ipums: keep if _n==1

keep district nuts3ipums nuts3ipums_txt pop_district alloc_dist_nuts
save ..\_data\allocation_district_to_nuts3ipums.dta, replace

log close
exit, clear