* 4d_read_population_1950_1960.do
* read worksheet with census population, 1950 & 1960
* Ana Rute Cardoso & Louis-Philippe Morin
* Jul 2023
*****************************************************
clear all
capture program drop _all
version 16
capture log close
log using ..\replic_logs\4d_read_population_1950_1960.log, replace nomsg

*** population data

import excel using ..\replic_data\population_1950_1960.xlsx, sheet(tostata) firstrow case(preserve) clear 

* recode districts

qui do codedistrict
joinby district using ..\_data\allocation_district_to_nuts3ipums.dta

gen tmppop50 = pop1950 * alloc_dist_nuts
bys nuts3ipums: egen pop50_region = total(tmppop50)
replace pop50_region = round(pop50_region)

keep nuts3ipums nuts3ipums_txt pop50_region 

bys nuts3ipums: keep if _n==1
egen pop50_PTtotal = total(pop50_region)

keep     nuts3ipums nuts3ipums_txt pop50_region pop50_PT
order    nuts3ipums nuts3ipums_txt pop50_region pop50_PT
compress nuts3ipums nuts3ipums_txt pop50_region pop50_PT
save ..\_data\pop50_nuts3.dta, replace

log close
exit, clear
